<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk-premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk-premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk-premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk-premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'luzuk_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'luzuk_headerlogo_settings', ' Site Header Logo Margin:');


$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '10px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '10px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'luzuk-premium' )
	)
);


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'luzuk-premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk-premium' ),
	'panel' => 'luzuk_general_panel',
) );



//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
	'luzuk_sticky_header_enable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'luzuk_sticky_header_enable',
		array(
			'settings'		=> 'luzuk_sticky_header_enable',
			'section'		=> 'header_settings',
			'label'			=> __( 'Sticky Header', 'luzuk-premium' ),
			'on_off_label' 	=> array(
				'on' => __( 'Enable', 'luzuk-premium' ),
				'off' => __( 'Disable', 'luzuk-premium' )
			)	
		)
	)
);

$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'header_clrlblbgTxt', 'header_settings', 'Set Header Background Colors:');

//Set top header colour
addColorPalatOption($wp_customize, 'topheader_color', 'header_settings', 'Top Header Color', '#fff');

//Set nevigation header colour
addColorPalatOption($wp_customize, 'header_color', 'header_settings', 'Navigation Header Color', '#2a2a2a');

$wp_customize->add_setting(
	'headermain_phonelabel',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'headermain_phonelabel',
	array(
		'settings'      => 'headermain_phonelabel',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Label', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'headermain_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '012 345 6789', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'headermain_phone',
	array(
		'settings'      => 'headermain_phone',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'headermain_timelabel',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Opening Hours', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'headermain_timelabel',
	array(
		'settings'      => 'headermain_timelabel',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Time Label', 'luzuk-premium' )
	)
);


$wp_customize->add_setting(
	'headermain_time',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Mon - Sat: 10am to 10pm', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'headermain_time',
	array(
		'settings'      => 'headermain_time',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Time', 'luzuk-premium' )
	)
);


lzCustomLable($wp_customize, 'header_clrlblcontactTxt', 'header_settings', 'Set Header Contact Details Colors:');

//Set header contact icon  colour
addColorPalatOption($wp_customize, 'header_iconColor', 'header_settings', 'Header Contact Icon Color', '#D79800');

//Set header contact icon hover colour
addColorPalatOption($wp_customize, 'header_iconhoverColor', 'header_settings', 'Header Contact Icon Hover Color', '#2a2a2a');

//Set header contact label colour
addColorPalatOption($wp_customize, 'header_contactlabelColor', 'header_settings', 'Header Contact Label Color', '#D79800');

//Set header contact data colour
addColorPalatOption($wp_customize, 'header_contactdataColor', 'header_settings', 'Header Contact Data Color', '#333333');



lzCustomLable($wp_customize, 'header_lblbutton1display', 'header_settings', 'Header Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'cds_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'cds_button_display', array( 'label' => 'Button Display', 'section' => 'header_settings', 'settings' => 'cds_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
	'headermain_headerinquirytitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'BOOK APPOINTMENT' )
	)
);
$wp_customize->add_control(
	'headermain_headerinquirytitle',
	array(
		'settings'      => 'headermain_headerinquirytitle',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Header Button Text', 'luzuk-premium' )
	)
);
$wp_customize->add_setting('header_headerinquiry',	array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('header_headerinquiry',
	array(
		'settings'      => 'header_headerinquiry',
		'section'       => 'header_settings',
		'type'          => 'url',
		'label'         => __( 'Add "Header Button" link here', 'luzuk-premium' )
	)
);

lzCustomLable($wp_customize, 'header_clrlbtnTxt', 'header_settings', 'Set Header Button Colors:');

//Set header button colour
addColorPalatOption($wp_customize, 'headerbtn_color', 'header_settings', 'Header Button Color', '#fff');

//Set header button bg colour
addColorPalatOption($wp_customize, 'headerbtnbg_color', 'header_settings', 'Header Button Background Color', '#D79800');

//Set header button hover colour
addColorPalatOption($wp_customize, 'headerbtnhover_color', 'header_settings', 'Header Button Hover Color', '#fff');

//Set header button bg hover colour
addColorPalatOption($wp_customize, 'headerbtnbghover_color', 'header_settings', 'Header Button Background Hover Color', '#2a2a2a');


lzCustomLable($wp_customize, 'header_clrlblImgTxt', 'header_settings', 'Set Header Menu Colors:');

//Set header menu colour
addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#fff');

//Set header current menu colour
addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#fff');

//Set header current menu bg colour
addColorPalatOption($wp_customize, 'headercurrentmenubg_color', 'header_settings', 'Header Current Menu Background Color', '#D79800');

//Set header menu hover colour
addColorPalatOption($wp_customize, 'headermenuhover_color', 'header_settings', 'Header Menu Hover Color', '#fff');

//Set header menu bg hover colour
addColorPalatOption($wp_customize, 'headermenuhoverbg_color', 'header_settings', 'Header Menu Hover background Color', '#D79800');

//Set header sub menu colour
addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Sub Menu Color', '#fff');

//Set header dropdown Background colour
addColorPalatOption($wp_customize, 'headerdropdownbg_color', 'header_settings', 'Header dropdown Background Color', '#2a2a2a');

//Set header dropdown border colour
addColorPalatOption($wp_customize, 'headerdropdownborder_color', 'header_settings', 'Header dropdown Border Color', '#D79800');


//Set header sub menu hover colour
addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Sub Menu Hover Color', '#D79800');

//Set header sub menu arrow hover colour
addColorPalatOption($wp_customize, 'headersubmenuarrowhover_color', 'header_settings', 'Header Sub Menu Arrow Hover Color', '#D79800');

//Set header current sub menu colour
addColorPalatOption($wp_customize, 'headercurrentsubmenu_color', 'header_settings', 'Header Current Sub Menu Color', '#fff');

//Set header current sub menu bg colour
addColorPalatOption($wp_customize, 'headercurrentsubmenubg_color', 'header_settings', 'Header Current Sub Menu background Color', '#D79800');

//Set header navigation colour
addColorPalatOption($wp_customize, 'headernavigation_color', 'header_settings', 'Header Navigation Color', '#2a2a2a');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk-premium'),
	'panel' => 'luzuk_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);




//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

// end to show & hide button


//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumbbox title color', '#222222');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumbbox current title color', '#D79800');

//Inner page breadcrumbbox current hover title color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumbbox current title hover color', '#222222');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbbgcolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumbbox background color', '#fff');

//Inner page breadcrumbbox border color
addColorPalatOption($wp_customize, 'template_innerpage_breadcrumbordercolor', 'luzuk_breadcrumb_settings', 'Inner page breadcrumbbox border color', '#222222');



//INNER Shortcodes PAGE COLOR SETTINGS
$wp_customize->add_section(
	'shortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'shortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

$wp_customize->add_setting(
	'footer_copyrighttext',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Copyright © 2019 Computer Repair. All Rights Reserved', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'footer_copyrighttext',
	array(
		'settings'      => 'footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'text',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);

//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#fff');

//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#D79800');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#fff');

//theme Footer menu Color
addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#fff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#D79800');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Color', '#D79800');

//theme Footer menu icon Color
addColorPalatOption($wp_customize, 'footer_navicon_color', 'footer_copyright_settings', 'Footer Menu Icon Color', '#fff');

//theme Footer menu icon hover Color
addColorPalatOption($wp_customize, 'footer_menuiconhover_color', 'footer_copyright_settings', 'Footer Menu Icon Hover Color', '#D79800');


//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#fff');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#fff');

//theme Footer Social Background hover Color
addColorPalatOption($wp_customize, 'footer_socialbghover_color', 'footer_copyright_settings', 'Footer Social Background hover Color', '#D79800');


//theme Footer Social border Color
addColorPalatOption($wp_customize, 'footer_socialborder_color', 'footer_copyright_settings', 'Footer  Social Border Color', '#4c3a37');

//theme Footer Social border hover Color
addColorPalatOption($wp_customize, 'footer_socialborderhover_color', 'footer_copyright_settings', 'Footer  Social Border Hover Color', '#D79800');

//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Color', '#fff');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form Border Color', '#fff');

//theme Footer form button Color
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Color', '#fff');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#D79800');

//theme Footer copyright Text Color
addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#fff');


//theme Footer copyright bg Color
addColorPalatOption($wp_customize, 'footer_copyrightbg_color', 'footer_copyright_settings', 'Copyright Footer Background Color', '#171717');

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_postpagedate_settings',
	array(
		'title' => __( 'Postpage Date Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'luzuk_postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 